# MongoDB\BSON\PackedArray::offsetSet

(mongodb >=1.17.0)

MongoDB\BSON\PackedArray::offsetSet — Implémentation de ArrayAccess

### Description

final public MongoDB\BSON\PackedArray::offsetSet(mixed `$key`, mixed `$value`): void

Change la valeur de `key` pour `value`.

### Liste de paramètres

`key`

  L'index a modifier.

`value`

  La nouvelle valeur de `key`.

### Valeurs de retour

Aucune valeur n'est retournée.

### Erreurs / Exceptions

- Lance toujours une MongoDB\Driver\Exception\LogicException.